import { FormGroup, FormBuilder, FormArray } from '@angular/forms';
import { Address } from '@nested-forms/contact';
import { Component, OnInit, Input } from '@angular/core';

@Component({
  selector: 'nested-forms-address-list',
  templateUrl: './address-list.component.html',
  styleUrls: ['./address-list.component.css']
})
export class AddressListComponent implements OnInit {

  @Input() addresses: Address[];
  @Input() parent: FormGroup;

  arrayGroup: FormArray;

  constructor(private fb: FormBuilder) { }

  ngOnInit() {
    this.arrayGroup = this.fb.array([]);
    if (this.parent) {
      this.parent.addControl('addresses', this.arrayGroup);
    }
  }

}
